Bug 147936 - Audacity does not support record-only devices (patch included)
Audacity does not support record-only devices (patch included)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 10:08 EST by Ralf Ertzinger
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-18 16:20:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Readonly patch (1.96 KB, patch)
2005-02-13 10:21 EST, Ralf Ertzinger
no flags Details | Diff

  None (edit)
Description Ralf Ertzinger 2005-02-13 10:08:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Audacity does not support record-only sound devices, due to an oversight in the detection routines. The attached patch fixes this. It does not affect the successful detection code path, but modifies the failure path to test for record-only devices.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Connect record only sound card
2. try to select sound card in audacity
3.
  

Actual Results:  Sound card is not available for selection

Expected Results:  Sound card available as recording device

Additional info:
Comment 1 Ralf Ertzinger 2005-02-13 10:21:02 EST
Created attachment 111037 [details]
Readonly patch
Comment 2 Michael Schwendt 2005-02-13 12:11:26 EST
When submitting patches like this, please always mention whether you are in
contact with the upstream developers about this.  http://audacity.sf.net
Comment 3 Ralf Ertzinger 2005-02-14 07:02:41 EST
For the record: I am not in contact with upstream about this. Upsteam (well,
portaudio19, which is in 1.2.3 also but not used in this build) does not have
this  specific problem (but lots of others).
Comment 4 Rahul Sundaram 2005-07-17 11:31:51 EDT

Priority set to high since patch is included.
Comment 5 Matthias Saou 2005-11-30 10:25:55 EST
Does 1.3.0 (beta) still have this problem? Just wondering, since it's just
been released, and is (at last!) wxGTK 2.6 and gtk2 compatible, so it's the
path Extras will en up taking some day anyway.
Comment 6 Ralf Ertzinger 2005-11-30 10:45:48 EST
What portaudio version does it use?
Comment 7 Matthias Saou 2005-12-01 05:29:57 EST
By default, still v18, and v19 optional.
So if the problem is in the v18, and if it's still not fixed in this 1.3.0
(beta), you might want to contact upstream to get a patch in.
Comment 8 Gérard Milmeister 2006-11-12 17:10:46 EST
Has the bug been fixed in 1.2.5?
Comment 9 Christian Iseli 2007-01-17 18:22:15 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 10 Gérard Milmeister 2007-02-18 16:20:40 EST
The reporter should try again with audacity 1.3.2. It currently uses portaudio
v19 and supports ALSA.

Note You need to log in before you can comment on or make changes to this bug.